Log4j Version 1.2.7: Class Priority

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j
Class Priority

    java.lang.Object
      |
      +--org.apache.log4j.Priority

Direct Known Subclasses:
  Level

public class Priority
extends Object

Refrain from using this class directly, use the `Level` class instead.

Author:
  Ceki Gülcü

Field Summary
`static int` | `ALL_INT`
`static Priority` | `DEBUG` The `DEBUG` priority designates fine-grained informational events that are most useful to debug an application.
`static int` | `DEBUG_INT`
`static Priority` | `ERROR` The `ERROR` level designates error events that might still allow the application to continue running.
`static int` | `ERROR_INT`
`static Priority` | `FATAL` The `FATAL` level designates very severe error events that will presumably lead the application to abort.
`static int` | `FATAL_INT`
`static Priority` | `INFO` The `INFO` level designates informational messages that highlight the progress of the application at coarse-grained level.
`static int` | `INFO_INT`
`static int` | `OFF_INT`
`static Priority` | `WARN` The `WARN` level designates potentially harmful situations.
`static int` | `WARN_INT`

Constructor Summary
`protected` | `Priority(int level, String levelStr, int syslogEquivalent)` Instantiate a level object.

Method Summary
`boolean` | `equals(Object o)` Two priorities are equal if their level fields are equal.
`static Priority[]` | `getAllPossiblePriorities()` Deprecated. This method will be removed with no replacement.
`int` | `getSyslogEquivalent()` Return the syslog equivalent of this priority as an integer.
`boolean` | `isGreaterOrEqual(Priority r)` Returns `true` if this level has a higher or equal level than the level passed as argument, `false` otherwise.
`int` | `toInt()` Returns the integer representation of this level.
`static Priority` | `toPriority(int val)` Convert an integer passed as argument to a priority.
`static Priority` | `toPriority(int val, Priority defaultPriority)` Convert an integer passed as argument to a priority.
`static Priority` | `toPriority(String sArg)` Deprecated. Please use the `Level.toLevel(String)` method instead.}
`static Priority` | `toPriority(String sArg, Priority defaultPriority)` Convert the string passed as argument to a priority.
`String` | `toString()` Returns the string representation of this priority.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OFF_INT

    public static final int OFF_INT

### FATAL_INT

    public static final int FATAL_INT

### ERROR_INT

    public static final int ERROR_INT

### WARN_INT

    public static final int WARN_INT

### INFO_INT

    public static final int INFO_INT

### DEBUG_INT

    public static final int DEBUG_INT

### ALL_INT

    public static final int ALL_INT

### FATAL

    public static final Priority FATAL

  The `FATAL` level designates very severe error events that will presumably lead the application to abort.

### ERROR

    public static final Priority ERROR

  The `ERROR` level designates error events that might still allow the application to continue running.

### WARN

    public static final Priority WARN

  The `WARN` level designates potentially harmful situations.

### INFO

    public static final Priority INFO

  The `INFO` level designates informational messages that highlight the progress of the application at coarse-grained level.

### DEBUG

    public static final Priority DEBUG

  The `DEBUG` priority designates fine-grained informational events that are most useful to debug an application.

Constructor Detail

### Priority

    protected Priority(int level,
                       String levelStr,
                       int syslogEquivalent)

  Instantiate a level object.

Method Detail

### equals

    public boolean equals(Object o)

  Two priorities are equal if their level fields are equal.
  Overrides:
    `equals` in class `Object`
  Since:
    1.2

### getSyslogEquivalent

    public final int getSyslogEquivalent()

  Return the syslog equivalent of this priority as an integer.

### isGreaterOrEqual

    public boolean isGreaterOrEqual(Priority r)

  Returns `true` if this level has a higher or equal level than the level passed as argument, `false` otherwise.

  You should think twice before overriding the default implementation of `isGreaterOrEqual` method.

### getAllPossiblePriorities

    public static Priority[] getAllPossiblePriorities()

  Deprecated. This method will be removed with no replacement.

  Return all possible priorities as an array of Level objects in descending order.

### toString

    public final String toString()

  Returns the string representation of this priority.
  Overrides:
    `toString` in class `Object`

### toInt

    public final int toInt()

  Returns the integer representation of this level.

### toPriority

    public static Priority toPriority(String sArg)

  Deprecated. Please use the `Level.toLevel(String)` method instead.}

  Convert the string passed as argument to a priority. If the conversion fails, then this method returns `DEBUG`.

### toPriority

    public static Priority toPriority(int val)

  Convert an integer passed as argument to a priority. If the conversion fails, then this method returns `DEBUG`.

### toPriority

    public static Priority toPriority(int val,
                                      Priority defaultPriority)

  Convert an integer passed as argument to a priority. If the conversion fails, then this method returns the specified default.

### toPriority

    public static Priority toPriority(String sArg,
                                      Priority defaultPriority)

  Convert the string passed as argument to a priority. If the conversion fails, then this method returns the value of `defaultPriority`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.